## libapache-mod-auth-curdir 1.3.31-3-2

=== Makefile ===
#!/usr/bin/make
#
# $Id: Makefile,v 1.1 2004/08/17 15:39:14 dexter Exp $


# Where to find apxs. Could be in the sbin or the bin directory
 APXS=/usr/bin/apxs

# Add any extra flags you need to compile
 EXTRA_CFLAGS= -Wall

# You shouldn't need to change anything below here. If you do, report it
# as a bug.

MODULES=mod_auth_curdir.so mod_auth_dbm_curdir.so mod_auth_db_curdir.so

CC=`$(APXS) -q CC`
CFLAGS=`$(APXS) -q CFLAGS` $(EXTRA_CFLAGS)
CFLAGS_SHLIB=`$(APXS) -q CFLAGS_SHLIB` 
INCLUDEDIR=`$(APXS) -q INCLUDEDIR`
LD_SHLIB=`$(APXS) -q LD_SHLIB`
LDFLAGS_SHLIB=`$(APXS) -q LDFLAGS_SHLIB` -ldb

%.so: %.c
	@echo $(APXS) -c -o $@ $< $(EXTRA_CFLAGS)
	@$(APXS) -c -o $@ $< $(EXTRA_CFLAGS)

build: $(MODULES)

install: $(MODULES)
	$(APXS) -i $(ACTIVATE) $(MODULES)

clean:
	rm -f *.so *.o *~ core $(AIX_EXP)

$(AIX_EXP):
	@echo mod_auth_curdir > $@

## libapache-mod-auth-curdir 1.3.31-3-1

=== debian/changelog ===
libapache-mod-auth-curdir (1.3.31-3-1) unstable; urgency=medium

  * Build from new Apache source.
  * Converted to Debian native package.
  * Fixed bad modules info files.

 -- Piotr Roszatycki <dexter@debian.org>  Tue, 17 Aug 2004 18:13:16 +0200

libapache-mod-auth-curdir (1.3.27.0-2-1) unstable; urgency=low

  * New upstream release.
    + Supports new Apache, closes: #195366

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 30 Jun 2003 01:56:39 +0200

libapache-mod-auth-curdir (1.3.26.1.1-2) unstable; urgency=low

  * Better package description, closes: #163638

 -- Piotr Roszatycki <dexter@debian.org>  Thu, 10 Oct 2002 16:11:04 +0200

libapache-mod-auth-curdir (1.3.26.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Piotr Roszatycki <dexter@debian.org>  Thu,  3 Oct 2002 12:47:25 +0200

libapache-mod-auth-curdir (1.3.24.3-1) unstable; urgency=low

  * Initial Debian version.

 -- Piotr Roszatycki <dexter@debian.org>  Mon, 13 May 2002 15:12:31 +0200

=== debian/control ===
Source: libapache-mod-auth-curdir
Maintainer: Piotr Roszatycki <dexter@debian.org>
Section: web
Priority: extra
Standards-Version: 3.6.1
Build-Depends: apache-dev, yada (>= 0.30)

Package: libapache-mod-auth-curdir
Architecture: any
Depends: apache-common (>= 1.3.31-3), ${libapache-mod-auth-curdir:Depends}
Description: Apache modules which provide a passwd file in the current directory
 These authentication modules enable Apache to seek password files in
 the current directory. It makes it possible to use the same .htaccess
 file for all directores of a web site and doesn't require you to know
 the full path to the password file.

## libapache-mod-auth-curdir 1.3.31-3-2

=== debian/changelog ===
libapache-mod-auth-curdir (1.3.31-3-2) unstable; urgency=low

  * Fixed postinst script.

 -- Piotr Roszatycki <dexter@debian.org>  Sat, 26 Feb 2005 17:25:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: libapache-mod-auth-curdir
 Architecture: any
-Depends: apache-common (>= 1.3.31-3), ${libapache-mod-auth-curdir:Depends}
+Depends: apache-common (>= 1.3.33-4), ${libapache-mod-auth-curdir:Depends}
 Description: Apache modules which provide a passwd file in the current directory
  These authentication modules enable Apache to seek password files in
  the current directory. It makes it possible to use the same .htaccess

=== debian/rules ===
#!/usr/bin/make -f
# Generated automatically from debian/packages
# by yada v0.30, of Fri,  6 Aug 2004

DEB_HOST_ARCH        := $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_GNU_CPU     := $(shell dpkg-architecture -qDEB_HOST_GNU_CPU)
DEB_HOST_GNU_TYPE    := $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_HOST_GNU_SYSTEM  := $(shell dpkg-architecture -qDEB_HOST_GNU_SYSTEM)

DEB_BUILD_ARCH       := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
DEB_BUILD_GNU_CPU    := $(shell dpkg-architecture -qDEB_BUILD_GNU_CPU)
DEB_BUILD_GNU_TYPE   := $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
DEB_BUILD_GNU_SYSTEM := $(shell dpkg-architecture -qDEB_BUILD_GNU_SYSTEM)

VERSION:=$(shell LC_ALL=C dpkg-parsechangelog | sed -ne 's/^Version: *\([^2]*\)/\1/p')

SHELL=/bin/bash

.PHONY: default
default:
	@echo "Specify a target:"; \
	echo " build              compile the package"; \
	echo " build-arch         compile the architecture-dependent package"; \
	echo " build-indep        compile the architecture-independent package"; \
	echo " binary             make all binary packages"; \
	echo " binary-arch        make all architecture-dependent binary packages"; \
	echo " binary-indep       make all architecture-independent binary packages"; \
	echo " clean              clean up the source package"; \
	echo; \
	echo " clean-install-tree clean up only under debian/"; \
	echo

# Build the package and prepare the install tree

.PHONY: build-only build
build-only: debian/build-stamp
build: build-only

.PHONY: build-arch-only build-arch
build-arch-only: debian/build-arch-stamp
build-arch: build-arch-only

.PHONY: build-indep-only build-indep
build-indep-only: debian/build-indep-stamp
build-indep: build-indep-only

# Make sure these rules and the control file are up-to-date

.PHONY: rules control templates
rules: debian/rules
debian/rules: $(shell which yada) debian/packages-tmp
	yada rebuild rules

control: debian/control
debian/control: $(shell which yada) debian/packages-tmp
	yada rebuild control

templates: debian/templates
debian/templates: $(shell which yada) debian/packages-tmp
	yada rebuild templates

debian/build-stamp: debian/build-arch-stamp debian/build-indep-stamp
	@[ -f $(shell which yada) -a -f debian/rules ]
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="libapache-mod-auth-curdir" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'CC=$${CC:-gcc}';\
	echo -E 'EXTRA_CFLAGS=$${CFLAGS:--Wall -g}';\
	echo -E 'if [ "$${DEB_BUILD_OPTIONS#*noopt}" != "$$DEB_BUILD_OPTIONS" ]; then';\
	echo -E '     EXTRA_CFLAGS="$$EXTRA_CFLAGS -O0"';\
	echo -E 'else';\
	echo -E '     EXTRA_CFLAGS="$$EXTRA_CFLAGS -O2"';\
	echo -E 'fi';\
	echo -E 'make EXTRA_CFLAGS="$$EXTRA_CFLAGS" CC="$$CC"') | /bin/sh
	touch debian/build-stamp

debian/build-arch-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-arch-stamp

debian/build-indep-stamp:
	@[ -f $(shell which yada) -a -f debian/rules ]
	touch debian/build-indep-stamp

.PHONY: install-tree
install-tree: install-tree-any
install-tree-any: \
	debian/tmp-libapache-mod-auth-curdir/DEBIAN/control

debian/tmp-libapache-mod-auth-curdir/DEBIAN/control: debian/build-stamp debian/control
	rm -rf debian/tmp-libapache-mod-auth-curdir
	umask 022 && install -d debian/tmp-libapache-mod-auth-curdir/DEBIAN
	install -d debian/tmp-libapache-mod-auth-curdir/usr/share/doc/libapache-mod-auth-curdir
	umask 022; yada generate copyright \
	  > debian/tmp-libapache-mod-auth-curdir/usr/share/doc/libapache-mod-auth-curdir/copyright
	install -m 644 -p debian/changelog \
	  debian/tmp-libapache-mod-auth-curdir/usr/share/doc/libapache-mod-auth-curdir/changelog
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-libapache-mod-auth-curdir" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-libapache-mod-auth-curdir/DEBIAN" \
	  && export PACKAGE="libapache-mod-auth-curdir" \
	  && export SOURCE="libapache-mod-auth-curdir" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
	  && export DEB_HOST_GNU_SYSTEM="$(DEB_HOST_GNU_SYSTEM)" \
	  && export DEB_BUILD_GNU_CPU="$(DEB_BUILD_GNU_CPU)" \
	  && export DEB_BUILD_GNU_TYPE="$(DEB_BUILD_GNU_TYPE)" \
	  && export DEB_BUILD_GNU_SYSTEM="$(DEB_BUILD_GNU_SYSTEM)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada install -lib -into /usr/lib/apache/1.3 mod_auth_*.so';\
	echo -E 'yada install -data -into /usr/lib/apache/1.3 *.info';\
	echo -E 'yada install -doc -subdir examples -as .htaccess example.htaccess';\
	echo -E 'yada install -doc -subdir examples -as .htpasswd example.htpasswd') | /bin/sh
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export ROOT="$$(pwd)/debian/tmp-libapache-mod-auth-curdir" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export CONTROL="$$(pwd)/debian/tmp-libapache-mod-auth-curdir/DEBIAN" \
	  && export PACKAGE="libapache-mod-auth-curdir" \
	  && export SOURCE="libapache-mod-auth-curdir" \
	  && export VERSION="$(VERSION)" && (\
	echo -E 'eval "yada () { perl $$(which yada) \"\$$@\"; }"; set -e; set -v';\
	echo -E 'yada perl';\
	echo -E 'yada python';\
	echo -E 'yada strip';\
	echo -E 'yada shlibdeps') | /bin/sh
	yada compress libapache-mod-auth-curdir
	yada generate maintscripts libapache-mod-auth-curdir
	find debian/tmp-libapache-mod-auth-curdir -type f -print \
	  | sed -n 's/^debian\/tmp-libapache-mod-auth-curdir\(\/etc\/.*\)$$/\1/p' \
	  > debian/tmp-libapache-mod-auth-curdir/DEBIAN/conffiles
	if test ! -s debian/tmp-libapache-mod-auth-curdir/DEBIAN/conffiles; then rm -f debian/tmp-libapache-mod-auth-curdir/DEBIAN/conffiles; fi
	yada rebuild control
	yada generate substvars libapache-mod-auth-curdir
	umask 022 && dpkg-gencontrol -isp -plibapache-mod-auth-curdir -Pdebian/tmp-libapache-mod-auth-curdir

# Build package files

.PHONY: binary binary-arch binary-indep
binary: binary-arch binary-indep
binary-arch: binary-arch-any

.PHONY: binary-arch-any
binary-arch-any: \
	binary-package-libapache-mod-auth-curdir
binary-indep:

.PHONY: binary-package-libapache-mod-auth-curdir
binary-package-libapache-mod-auth-curdir: check-root debian/tmp-libapache-mod-auth-curdir/DEBIAN/control
	@[ -f $(shell which yada) -a -f debian/rules ]
	chown -R 0.0 debian/tmp-libapache-mod-auth-curdir
	chmod -R u=rwX,go=rX debian/tmp-libapache-mod-auth-curdir
	@if [ -d debian/tmp-libapache-mod-auth-curdir/usr/doc/libapache-mod-auth-curdir ]; then \
	  echo "*** Yada warning: /usr/doc/libapache-mod-auth-curdir should be /usr/share/doc/libapache-mod-auth-curdir";\
	fi
	dpkg-deb --build debian/tmp-libapache-mod-auth-curdir ..

.PHONY: check-root
check-root:
	@[ `id -u` = 0 ] || (echo "You must be root to do this!"; false)

debian/packages-tmp: debian/packages 
	yada rebuild packages

## Clean up afterwards

.PHONY: clean clean-install-tree clean-build

clean: clean-install-tree clean-build debian/control debian/rules
	rm -f debian/packages-tmp debian/packages-tmp-new debian/packages-tmp-include

clean-build:
	@[ -f $(shell which yada) -a -f debian/rules ]
	rm -f debian/build-stamp debian/build-arch-stamp debian/build-indep-stamp
	@umask 022 \
	  && export pwd="$$(pwd)" \
	  && export TMPROOT="$$(pwd)/debian/tmp" \
	  && export SOURCE="libapache-mod-auth-curdir" \
	  && export VERSION="$(VERSION)" \
	  && export DEB_HOST_GNU_CPU="$(DEB_HOST_GNU_CPU)" \
	  && export DEB_HOST_GNU_TYPE="$(DEB_HOST_GNU_TYPE)" \
